Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DERGenerator

    java.lang.Object
      org.bouncycastle.asn1.ASN1Generator
          org.bouncycastle.asn1.DERGenerator

Direct Known Subclasses:
  DERSequenceGenerator

    public abstract class DERGenerator

extends ASN1Generator

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Generator
`_out`

Constructor Summary
`protected` `DERGenerator(java.io.OutputStream out)`
`` `DERGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

Method Summary

Methods inherited from class org.bouncycastle.asn1.ASN1Generator
`getRawOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERGenerator

    protected DERGenerator(java.io.OutputStream out)

### DERGenerator

    public DERGenerator(java.io.OutputStream out,
                        int tagNo,
                        boolean isExplicit)

Bouncy Castle Cryptography Library 1.45